Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233196 - nut needs to make udevd reread rules
Summary: nut needs to make udevd reread rules
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: nut
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-20 20:29 UTC by Jonathan Larmour
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-22 03:39:14 UTC


Attachments (Terms of Use)

Description Jonathan Larmour 2007-03-20 20:29:26 UTC
Description of problem:

nut installs files in /etc/udev/rules.d/ for udev. But given that, the RPM
postinstall script needs to include the command:

/sbin/udevcontrol reload_rules

Not really a bug report, but I thought I'd also mention that the setup in
/etc/sysconfig/ups for anything other than upsdrvctl seems a bit pointless since
upsd requires settings in ups.conf.

Comment 1 Kay Sievers 2007-03-21 22:10:29 UTC
The udevd daemon watches that directory with inotify, there is usually no need
to do that.

Comment 2 Jonathan Larmour 2007-03-22 03:39:14 UTC
Thanks Kay. I see from the udevd source you should be right. It didn't happen
for me when I installed the nut rpm. I'll have to investigate and see if there's
a udev or inotify problem. But I think I'll close this bug then (although my
comment about /etc/sysconfig/ups still applies!).


Note You need to log in before you can comment on or make changes to this bug.